Katello - Bug #6072

syncing repo with typo in URL creates lock
06/04/2014 09:56 PM - lvan Necas

Status: Closed

Priority: Normal

Assignee: Ivan Necas

Category: Web Ul

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1099981 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1099981
Description of problem:
Syncing repo with typo in URL creates lock.

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140521.0

How reproducible:
always

Steps to Reproduce:

1. Create new product in webUI:

Content -> Products -> [+ New Product]

Name: ISEProduct

2. Create new repository in the product:

Content -> Products -> ISEProduct -> [Create Repository]

Name: ISERepository

Type: yum

URL: http://www.redhat.com/notExistingRepo

3. Sync it (using Content -> Sync Status ... do not trigger this, just fails,
but | do not see the lock - strange (1))

Content -> Products -> ISEProduct -> ISERepository -> [Sync Now]
Also you can initialize sync using hammer.

Actual results:
Looks like some locks are left around.

Expected results:
Should fail without locks around or something.

Additional info:
To clean this, you have to release the lock:
Monitor -> Tasks -> <your_failed_task> -> [Force Stop] -> [Force Stop]

Associated revisions

Revision 41214135 - 06/10/2014 05:06 AM - lvan Necas

Fixes #6072 - Report issues on repo syncing and don't lock repository on failure

Repo synchronization is an idempotent operation. There are also
situations, such as wrong url, that might lead to unexpected
situations. Therefore, instead of keeping the task paused, locking
other operations to be performed, just skip the syncing and report the
errors.

The bastion task details page now also includes a link to "More
details" that leads to foreman_tasks/show page with even more details
information useful for debugging the issue and filing bugs.

Revision 88259c08 - 06/10/2014 09:06 AM - Ivan Necas

Fixes #6072 - Report issues on repo syncing and don't lock repository on failure
Repo synchronization is an idempotent operation. There are also

situations, such as wrong url, that might lead to unexpected

situations. Therefore, instead of keeping the task paused, locking

other operations to be performed, just skip the syncing and report the
errors.

The bastion task details page now also includes a link to "More

details" that leads to foreman_tasks/show page with even more details
information useful for debugging the issue and filing bugs.

Revision babObce8 - 06/10/2014 11:32 AM - Ivan Necas
Merge pull request #4219 from iNecas/issue/6072

Fixes #6072 - Report issues on repo syncing and don't lock repository on failure

History

#1 - 06/04/2014 09:57 PM - Ivan Necas
- Status changed from New to Assigned

- Triaged set to No

#2 - 06/05/2014 03:17 AM - Eric Helms
- Target version set to 45

- Triaged changed from No to Yes

#3 - 06/10/2014 11:54 AM - Ivan Necas
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:88259c08a8aa20db6efbb75d510ccbe6d97fc00f.

#4 - 08/22/2014 08:32 AM - Eric Helms

- translation missing: en.field_release set to 13
